import React from 'react';
import { connect } from 'umi';
import ProductionPlanChangeMachineInfo from '../../components/productionPlanInfo/productionPlanInfo';

function ProductionPlanChangeMachine({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const productionPlanChangeMachineProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };

  return (
    <ProductionPlanChangeMachineInfo {...productionPlanChangeMachineProps} className="test" />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProductionPlanChangeMachine);
